## bpfmon 2.49

=== Makefile ===
# Copyright © 2015-2020 Boian Bonev (bbonev@ipacct.com) {{{
#
# SPDX-License-Identifer: GPL-2.0-or-later
#
# This file is part of bpfmon - traffic monitor for BPF and iptables
#
# bpfmon is free software, releasead under the terms of GNU General Public License v2.0 or later
#
# }}}

all: bpfmon psort

DEBUG:=-DDEBUG=1 -O0 -g3 -fno-inline -fstack-protector-all
DEBUG:=-O3

PKG_CONFIG?=pkg-config
YASCC?=$(shell $(PKG_CONFIG) --cflags yascreen)
YASLD?=$(shell $(PKG_CONFIG) --libs yascreen)
ifeq ("$(YASLD)","")
YASCC:=-lyascreen
YASLD:=
endif
PCACC?=$(shell $(PKG_CONFIG) --cflags libpcap)
PCALD?=$(shell $(PKG_CONFIG) --libs libpcap)
ifeq ("$(PCALD)","")
PCACC:=-lpcap
PCALD:=
endif

LIBS:=$(YASLD) $(PCALD)
CFLAGS+=$(YASCC) $(PCACC)

VER=$(shell grep Revision bpfmon.c|head -n1|sed -e 's/.\+Revision: \([0-9.]\+\) \+.\+/\1/')

ifeq ($(CC),tcc)
CCOPT:=-Wall -I.
else
ifeq ($(CC),clang)
CCOPT:=-Wall -Wextra -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -I. --std=gnu89 -fPIE
else
ifeq ($(shell uname -s),OpenBSD)
ifeq ($(CC),cc)
CC:=egcc
endif
endif
CCOPT:=-Wall -Wextra -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -I. --std=gnu89 -fPIE
endif
endif
ifeq ($(CC),egcc)
CCOPT+=-flto
endif
ifndef NO_FLTO
ifeq ($(shell uname -s),Linux)
ifeq ($(CC),cc)
CCOPT+=-flto
endif
ifeq ($(CC),gcc)
CCOPT+=-flto
endif
endif
endif

MYCFLAGS=$(DEBUG) $(CPPFLAGS) $(CFLAGS) $(CCOPT)
MYLDFLAGS=$(LDFLAGS) -fPIE -pie

STRIP?=strip

bpfmon.o: bpfmon.c
	$(CC) $(MYCFLAGS) -c bpfmon.c -o bpfmon.o

bpfmon: bpfmon.o
	$(CC) $(MYCFLAGS) $(MYLDFLAGS) -o bpfmon bpfmon.o $(LIBS)
	$(STRIP) bpfmon

psort.o: psort.c
	$(CC) $(MYCFLAGS) -c psort.c -o psort.o

psort: psort.o
	$(CC) $(MYCFLAGS) $(MYLDFLAGS) -o psort psort.o $(LIBS)
	$(STRIP) psort

clean:
	rm -f bpfmon bpfmon.o psort psort.o

install: bpfmon
	$(INSTALL) -TD -m 0755 $< $(DESTDIR)$(PREFIX)/sbin/$<
	$(STRIP) $<

mkotar:
	$(MAKE) clean
	-dh_clean
	tar \
		--xform 's,^[.],bpfmon-$(VER),' \
		--exclude ./.git \
		--exclude ./.gitignore \
		--exclude ./.cvsignore \
		--exclude ./CVS \
		--exclude ./debian \
		-Jcvf ../bpfmon_$(VER).orig.tar.xz .
	-rm -f ../bpfmon_$(VER).orig.tar.xz.asc
	gpg -a --detach-sign ../bpfmon_$(VER).orig.tar.xz
	cp -fa ../bpfmon_$(VER).orig.tar.xz ../bpfmon-$(VER).tar.xz
	cp -fa ../bpfmon_$(VER).orig.tar.xz.asc ../bpfmon-$(VER).tar.xz.asc

=== debian/changelog ===
bpfmon (2.49-1) unstable; urgency=medium

  * Update to new upstream release of 2.48
    - Do not capitalize short description
  * Update to new upstream release of 2.49
    - Fix OOB on Hurd because libpcap does not support pcap_get_selectable_fd

 -- Boian Bonev <bbonev@ipacct.com>  Tue, 15 Sep 2020 14:05:42 +0000

bpfmon (2.46-1) unstable; urgency=medium

  * Initial release (Closes: #969931)

 -- Boian Bonev <bbonev@ipacct.com>  Wed, 12 Aug 2020 18:55:16 +0000

=== debian/control ===
Source: bpfmon
Section: admin
Priority: optional
Maintainer: Boian Bonev <bbonev@ipacct.com>
Build-Depends:
 debhelper-compat (= 13),
 libpcap-dev,
 libyascreen-dev,
 pkg-config,
Standards-Version: 4.5.0
Homepage: https://github.com/bbonev/bpfmon
Vcs-Browser: https://github.com/bbonev/bpfmon
Vcs-Git: https://github.com/bbonev/bpfmon.git
Rules-Requires-Root: no

Package: bpfmon
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: traffic monitor for BPF expression/iptables rule
 While tcpdump shows what packets are going through the
 network, bpfmon will show how much in terms
 of bytes per second and packets per second in a
 nice pseudo-graphical terminal interface.
 .
 bpfmon also supports monitoring an iptables rule that
 is selected by command line option or selected from a
 menu.

=== debian/rules ===
#!/usr/bin/make -f
export NO_FLTO=1
export PREFIX=/usr
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=makefile --without=autoreconf

override_dh_auto_build:
	dh_auto_build -- \
		STRIP=: \
		bpfmon

override_dh_auto_install:
	install -TD -m755 bpfmon debian/bpfmon/usr/sbin/bpfmon
	install -TD -m644 bpfmon.8 debian/bpfmon/usr/share/man/man8/bpfmon.8

=== debian/watch ===
version=4

opts=\
	"filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%bpfmon_$1.orig.tar.gz%,pgpsigurlmangle=s/archive\/v([0-9.]+)\.tar\.gz/releases\/download\/v$1\/bpfmon-$1\.tar\.gz\.asc/" \
	https://github.com/bbonev/bpfmon/tags \
	(?:.*?/)?v?(\d[\d.]*)\.tar\.gz \
	debian uupdate

## bpfmon 2.50

=== Makefile ===
# Copyright © 2015-2020 Boian Bonev (bbonev@ipacct.com) {{{
#
# SPDX-License-Identifer: GPL-2.0-or-later
#
# This file is part of bpfmon - traffic monitor for BPF and iptables
#
# bpfmon is free software, released under the terms of GNU General Public License v2.0 or later
#
# }}}

all: bpfmon psort

DEBUG:=-DDEBUG=1 -O0 -g3 -fno-inline -fstack-protector-all
DEBUG:=-O3

PKG_CONFIG?=pkg-config
YASCC?=$(shell $(PKG_CONFIG) --cflags yascreen)
YASLD?=$(shell $(PKG_CONFIG) --libs yascreen)
ifeq ("$(YASLD)","")
YASCC:=
YASLD:=-lyascreen
endif
PCACC?=$(shell $(PKG_CONFIG) --cflags libpcap)
PCALD?=$(shell $(PKG_CONFIG) --libs libpcap)
ifeq ("$(PCALD)","")
PCACC:=
PCALD:=-lpcap
endif

VER=$(shell grep Revision bpfmon.c|head -n1|sed -e 's/.\+Revision: \([0-9.]\+\) \+.\+/\1/')

ifeq ($(CC),tcc)
CCOPT:=-Wall
else
ifeq ($(CC),clang)
CCOPT:=-Wall -Wextra -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 --std=gnu89 -fPIE
else
ifeq ($(shell uname -s),OpenBSD)
ifeq ($(CC),cc)
CC:=egcc
endif
endif
CCOPT:=-Wall -Wextra -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 --std=gnu89 -fPIE
endif
endif

ifndef NO_FLTO
ifeq ($(CC),egcc)
CCOPT+=-flto
endif
ifeq ($(shell uname -s),Linux)
ifeq ($(CC),cc)
CCOPT+=-flto
endif
ifeq ($(CC),gcc)
CCOPT+=-flto
endif
endif
endif

MYCFLAGS=$(DEBUG) $(CPPFLAGS) $(CFLAGS) $(YASCC) $(PCACC) $(CCOPT)
MYLIBS:=$(LIBS) $(YASLD) $(PCALD)
MYLDFLAGS:=$(LDFLAGS) -fPIE -pie

STRIP?=strip
INSTALL?=install

bpfmon.o: bpfmon.c
	$(CC) $(MYCFLAGS) -c bpfmon.c -o bpfmon.o

bpfmon: bpfmon.o
	$(CC) $(MYCFLAGS) $(MYLDFLAGS) -o bpfmon bpfmon.o $(MYLIBS)

psort.o: psort.c
	$(CC) $(MYCFLAGS) -c psort.c -o psort.o

psort: psort.o
	$(CC) $(MYCFLAGS) $(MYLDFLAGS) -o psort psort.o $(MYLIBS)

clean:
	rm -f bpfmon bpfmon.o psort psort.o

install: bpfmon
	$(INSTALL) -TD -m 0755 $< $(DESTDIR)$(PREFIX)/sbin/$<
	$(STRIP) $(DESTDIR)$(PREFIX)/sbin/$<

mkotar:
	$(MAKE) clean
	-dh_clean
	tar \
		--xform 's,^[.],bpfmon-$(VER),' \
		--exclude ./.git \
		--exclude ./.gitignore \
		--exclude ./.cvsignore \
		--exclude ./CVS \
		--exclude ./debian \
		--exclude ./fedora/CVS \
		--exclude ./.sample/CVS \
		-Jcvf ../bpfmon_$(VER).orig.tar.xz .
	-rm -f ../bpfmon_$(VER).orig.tar.xz.asc
	gpg -a --detach-sign ../bpfmon_$(VER).orig.tar.xz
	cp -fa ../bpfmon_$(VER).orig.tar.xz ../bpfmon-$(VER).tar.xz
	cp -fa ../bpfmon_$(VER).orig.tar.xz.asc ../bpfmon-$(VER).tar.xz.asc

=== debian/changelog ===
bpfmon (2.50-1) unstable; urgency=medium

  * Update to new upstream release of 2.50
    - Better Unicode detection
    - Saner output on Linux console in Unicode mode
    - Smooth graphs in horizontal mode (Unicode)
  * Bump standards to 4.6.0, no changes
  * Let debian/watch use the signed releases

 -- Boian Bonev <bbonev@ipacct.com>  Tue, 21 Sep 2021 02:19:38 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  libpcap-dev,
  libyascreen-dev,
  pkg-config,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/bbonev/bpfmon
 Vcs-Browser: https://github.com/bbonev/bpfmon
 Vcs-Git: https://github.com/bbonev/bpfmon.git

=== debian/watch ===
version=4

opts=\
	"filenamemangle=s%(?:.*?)?bpfmon-?(\d[\d.]*)\.tar\.xz%bpfmon_$1.orig.tar.xz%,pgpsigurlmangle=s/releases\/download\/v([0-9.]+)\/bpfmon-([0-9.]+)\.tar\.xz/releases\/download\/v$1\/bpfmon-$1\.tar\.xz\.asc/" \
	https://github.com/bbonev/bpfmon/releases \
	(?:.*?/)?bpfmon-?(\d[\d.]*)\.tar\.xz \
	debian uupdate

## bpfmon 2.51

=== Makefile ===
--- 
+++ 
@@ -81,7 +81,8 @@
 	rm -f bpfmon bpfmon.o psort psort.o
 
 install: bpfmon
-	$(INSTALL) -TD -m 0755 $< $(DESTDIR)$(PREFIX)/sbin/$<
+	$(INSTALL) -D -m 0755 $< $(DESTDIR)$(PREFIX)/sbin/$<
+	$(INSTALL) -D -m 0644 bpfmon.8 $(DESTDIR)$(PREFIX)/share/man/man8/bpfmon.8
 	$(STRIP) $(DESTDIR)$(PREFIX)/sbin/$<
 
 mkotar:

=== debian/changelog ===
bpfmon (2.51-1) unstable; urgency=medium

  * Update to new upstream release of 2.51
  * Bump standards to 4.6.2, no changes

 -- Boian Bonev <bbonev@ipacct.com>  Mon, 02 Jan 2023 22:39:51 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  libpcap-dev,
  libyascreen-dev,
  pkg-config,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/bbonev/bpfmon
 Vcs-Browser: https://github.com/bbonev/bpfmon
 Vcs-Git: https://github.com/bbonev/bpfmon.git

## bpfmon 2.52

=== debian/changelog ===
bpfmon (2.52-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:36:50 +1100

bpfmon (2.52-1build1) noble; urgency=medium

  * No-change rebuild for libpcap t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 13:58:21 +0100

bpfmon (2.52-1) unstable; urgency=medium

  * Update to new upstream release of 2.52

 -- Boian Bonev <bbonev@ipacct.com>  Sun, 13 Aug 2023 02:01:37 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bpfmon
 Section: admin
 Priority: optional
-Maintainer: Boian Bonev <bbonev@ipacct.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Boian Bonev <bbonev@ipacct.com>
 Build-Depends:
  debhelper-compat (= 13),
  libpcap-dev,

## bpfmon 2.53

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2015-2020 Boian Bonev (bbonev@ipacct.com) {{{
+# Copyright © 2015-2024 Boian Bonev (bbonev@ipacct.com) {{{
 #
 # SPDX-License-Identifer: GPL-2.0-or-later
 #

=== debian/changelog ===
bpfmon (2.53-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boian Bonev <bbonev@ipacct.com>  Sat, 21 Dec 2024 07:40:48 +0000

bpfmon (2.53-1) unstable; urgency=medium

  * Update to new upstream release of 2.53
  * Bump standards to 4.7.0, no changes
  * Change pkg-config to pkgconf

 -- Boian Bonev <bbonev@ipacct.com>  Sat, 02 Nov 2024 21:52:32 +0000

=== debian/watch ===
version=4

opts="searchmode=plain, \
	pgpsigurlmangle=s/releases\/download\/v([0-9.]+)\/bpfmon-([0-9.]+)\.tar\.xz/releases\/download\/v$1\/bpfmon-$1\.tar\.xz\.asc/" \
	https://api.github.com/repos/bbonev/bpfmon/releases \
	https://github.com/bbonev/bpfmon/releases/download/v\d[\.\d]*/bpfmon-@ANY_VERSION@.tar.xz
